Package org.apache.uima.ruta.example.extensions

# Class ExampleStringFunctionExtension

java.lang.Object
org.apache.uima.ruta.example.extensions.ExampleStringFunctionExtension

All Implemented Interfaces:
  `org.apache.uima.ruta.extensions.IRutaExtension`, `org.apache.uima.ruta.extensions.IRutaStringFunctionExtension`

public class ExampleStringFunctionExtension extends Object implements org.apache.uima.ruta.extensions.IRutaStringFunctionExtension

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExampleStringFunctionExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExampleStringFunction`
  `createStringFunction(String name, List<org.apache.uima.ruta.expression.RutaExpression> args)`
  `Class<?>[]`
  `extensions()`
  `String[]`
  `getKnownExtensions()`
  `String`
  `verbalize(org.apache.uima.ruta.RutaElement element, org.apache.uima.ruta.verbalize.RutaVerbalizer verbalizer)`
  `String`
  `verbalizeName(org.apache.uima.ruta.RutaElement element)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExampleStringFunctionExtension

    public ExampleStringFunctionExtension()

- ## Method Details

  - ### verbalize

    public String verbalize(org.apache.uima.ruta.RutaElement element, org.apache.uima.ruta.verbalize.RutaVerbalizer verbalizer)
    Specified by:
      `verbalize` in interface `org.apache.uima.ruta.extensions.IRutaExtension`

  - ### createStringFunction

    public ExampleStringFunction createStringFunction(String name, List<org.apache.uima.ruta.expression.RutaExpression> args) throws org.apache.uima.ruta.extensions.RutaParseException
    Specified by:
      `createStringFunction` in interface `org.apache.uima.ruta.extensions.IRutaStringFunctionExtension`
    Throws:
      `org.apache.uima.ruta.extensions.RutaParseException`

  - ### verbalizeName

    public String verbalizeName(org.apache.uima.ruta.RutaElement element)
    Specified by:
      `verbalizeName` in interface `org.apache.uima.ruta.extensions.IRutaExtension`

  - ### getKnownExtensions

    public String[] getKnownExtensions()
    Specified by:
      `getKnownExtensions` in interface `org.apache.uima.ruta.extensions.IRutaExtension`

  - ### extensions

    public Class<?>[] extensions()
    Specified by:
      `extensions` in interface `org.apache.uima.ruta.extensions.IRutaExtension`